Bug 102116 - kernel update doesn't edit lilo.conf
kernel update doesn't edit lilo.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: up2date (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-11 11:24 EDT by Kevin Krafthefer
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 14:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Krafthefer 2003-08-11 11:24:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
On machines using lilo, lilo.conf doesn't get updated when the kernel is
updated. The RHEL version of grubby doesn't handle lilo.conf and the work around
of having the update agent handle this is broken; newlilocfg.py fails to import
lilo. There have been a number of bugs filed against this, unfortunately, the
work around of "use grub instead" isn't viable.

Version-Release number of selected component (if applicable):
up2date-2.8.45-1.2.1AS kernel-2.4.9-e.25 mkinitrd-3.2.6-1

How reproducible:
Always

Steps to Reproduce:
1. install lilo
2. up2date -uf kernel
3. check /etc/lilo.conf
    

Actual Results:  lilo.cobnf is not touched

Expected Results:  lilo.conf gets updated with an entry for new kernel

Additional info:
Comment 2 Adrian Likins 2003-09-03 16:38:37 EDT
errataed up2date includes this fix 
Comment 4 Kyle Powell 2003-10-16 11:31:43 EDT
According to Narsis, Adrian is aware that his comment was incorrect and the bug
is not completely fixed. See IT 26596 for more info.
Comment 6 Adrian Likins 2003-11-21 17:03:31 EST
yeah, fixed in the version for the update, verified with narsis

Note You need to log in before you can comment on or make changes to this bug.